Show / Hide Table of Contents

# Class BattleNpc

This class represents a battle NPC.

##### Inheritance

System.Object
Actor
Chara
Npc
BattleNpc

##### Implements

System.IEquatable<Actor>

##### Inherited Members

Npc.DataId
Npc.NameId
Chara.Level
Chara.ClassJob
Chara.CurrentHp
Chara.MaxHp
Chara.CurrentMp
Chara.MaxMp
Chara.CurrentGp
Chara.MaxGp
Chara.CurrentCp
Chara.MaxCp
Chara.Customize
Actor.actorStruct
Actor.dalamud
Actor.Address
Actor.Position
Actor.Rotation
Actor.Name
Actor.ActorId
Actor.ObjectKind
Actor.YalmDistanceX
Actor.YalmDistanceY
Actor.StatusEffects
Actor.IEquatable<Actor>.Equals(Actor)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types.NonPlayer

###### Assembly: Dalamud.dll

##### Syntax

    public class BattleNpc : Npc, IEquatable<Actor>

### Constructors

| Improve this Doc View Source

#### BattleNpc(IntPtr, Actor, Dalamud)

Set up a new BattleNpc with the provided memory representation.

##### Declaration

    public BattleNpc(IntPtr address, Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of this actor in memory.
Actor | actorStruct | The memory representation of the base actor.
Dalamud.Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Properties

| Improve this Doc View Source

#### BattleNpcKind

The BattleNpc BattleNpcSubKind of this BattleNpc.

##### Declaration

    public BattleNpcSubKind BattleNpcKind { get; }

##### Property Value

Type | Description
--- | ---
BattleNpcSubKind |

| Improve this Doc View Source

#### OwnerId

The ID of this BattleNpc's owner.

##### Declaration

    public int OwnerId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TargetActorID

Target of the Battle NPC

##### Declaration

    public override int TargetActorID { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

##### Overrides

Actor.TargetActorID

### Implements

System.IEquatable<T>